MPD

- Main Page
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields

# decoder_control Struct Reference

`#include <decoder_control.h>`

## Data Fields
GThread * | thread
| the handle of the decoder thread, or NULL if the decoder thread isn't running
GMutex * | mutex
| This lock protects state and command.
GCond * | cond
| Trigger this object after you have modified command.
enum decoder_state | state
enum decoder_command | command
bool | quit
bool | seek_error
bool | seekable
double | seek_where
struct audio_format | in_audio_format
| the format of the song file
struct audio_format | out_audio_format
| the format being sent to the music pipe
struct song * | song
| The song currently being decoded.
float | total_time
struct music_buffer * | buffer
| the music_chunk allocator
struct music_pipe * | pipe
| The destination pipe for decoded chunks.
float | replay_gain_db
float | replay_gain_prev_db
char * | mixramp_start
char * | mixramp_end
char * | mixramp_prev_end

## Detailed Description

Definition at line 44 of file decoder_control.h.

## Field Documentation

struct music_buffer* decoder_control::buffer

the music_chunk allocator

Definition at line 85 of file decoder_control.h.

enum decoder_command decoder_control::command

Definition at line 62 of file decoder_control.h.

GCond* decoder_control::cond

Trigger this object after you have modified command.

This is also used by the decoder thread to notify the caller when it has finished a command.

Definition at line 59 of file decoder_control.h.

struct audio_format decoder_control::in_audio_format

the format of the song file

Definition at line 70 of file decoder_control.h.

char* decoder_control::mixramp_end

Definition at line 96 of file decoder_control.h.

char* decoder_control::mixramp_prev_end

Definition at line 97 of file decoder_control.h.

char* decoder_control::mixramp_start

Definition at line 95 of file decoder_control.h.

GMutex* decoder_control::mutex

This lock protects state and command.

Definition at line 52 of file decoder_control.h.

struct audio_format decoder_control::out_audio_format

the format being sent to the music pipe

Definition at line 73 of file decoder_control.h.

struct music_pipe* decoder_control::pipe

The destination pipe for decoded chunks.

The caller thread owns this object, and is responsible for freeing it.

Definition at line 91 of file decoder_control.h.

bool decoder_control::quit

Definition at line 64 of file decoder_control.h.

float decoder_control::replay_gain_db

Definition at line 93 of file decoder_control.h.

float decoder_control::replay_gain_prev_db

Definition at line 94 of file decoder_control.h.

bool decoder_control::seek_error

Definition at line 65 of file decoder_control.h.

double decoder_control::seek_where

Definition at line 67 of file decoder_control.h.

bool decoder_control::seekable

Definition at line 66 of file decoder_control.h.

struct song* decoder_control::song

The song currently being decoded.

This attribute is set by the player thread, when it sends the DECODE_COMMAND_START command.

Definition at line 80 of file decoder_control.h.

enum decoder_state decoder_control::state

Definition at line 61 of file decoder_control.h.

GThread* decoder_control::thread

the handle of the decoder thread, or NULL if the decoder thread isn't running

Definition at line 47 of file decoder_control.h.

float decoder_control::total_time

Definition at line 82 of file decoder_control.h.

The documentation for this struct was generated from the following file:

- src/decoder_control.h